%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}

%define name    dvdauthor
%define version 0.6.8
%define release 2mdk
%define summary Video DVD Creater.

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%name-0.6.8-c-patch.diff.bz2
Patch1:		%name-0.6.8-h-patch.diff.bz2
URL: 		http://dvdauthor.sourceforge.net
BuildRoot: 	%_tmppath/%{name}-buildroot

BuildRequires:	freetype2-devel
BuildRequires:	fribidi-devel
BuildRequires:	bison flex
%if %buildfor9_2
BuildRequires:  libpng3-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib1-devel
BuildRequires:  libMagick5.5.7-devel
%else
BuildRequires:  png-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel
BuildRequires:  ImageMagick-devel
BuildRequires:	libdvdread-devel
%endif

%description
%{name} is a set of tools for preparing Video DVD's.
It only create the structure (menues, buttons, chapters, ...),
for creating the DVD image and burning it you will need
additional tools like cdrtools, k3b, ...

%prep
%setup -q 
cd src
%patch0
%patch1

%build
CFLAGS="%optflags" CXXFLAGS="%optflags -fpermissive" \
./configure --disable-rpath \
	    --prefix=%_prefix \
	    --libdir=%_libdir \
	    --mandir=%_mandir \
	    --datadir=%_datadir \
	    --disable-debug 
%make 

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files 
%defattr (-,root,root)
%doc COPYING INSTALL README TODO menu.txt doc/*.html
%_bindir/*
%_mandir/man1/*

%changelog
* Mon Jan 12 2004 Franck Villaume <fvill@freesurf.fr> 0.6.8-2mdk
- add libdvdread-devel to buildrequires

* Wed Jan 7 2004 Austin Acton <austin@linux.ca> 0.6.8-1mdk
- 0.6.8
- add some buildrequires
- patch to build with recent freetyepe
- fix 9.2 conditional ;-)

* Mon Nov 03 2003 Marcel Pol <mpol@gmx.net> 0.6.0-3mdk
- buildrequires flex bison

* Tue Oct 28 2003 Marcel Pol <mpol@gmx.net> 0.6.0-2mdk
- remove requires (redundant)
- use better buildrequires for 9.2

* Wed Oct 22 2003 Svetoslav Slavtchev <svetoslav@users.sourceforge.net> 0.6.0-1mdk
- initial release
